### Method

# Soup Cookie set_http_only

#### Declaration [src]

    void
    soup_cookie_set_http_only (
      SoupCookie* cookie,
      gboolean http_only
    )

#### Description [src]

Sets `cookie`‘s HttpOnly attribute to `http_only`.

If `TRUE`, `cookie` will be marked as “http only”, meaning it should not be exposed to web page scripts or other untrusted code.

#### Parameters

`http_only` | `gboolean`
| The new value for the HttpOnly attribute.